Incidencia #44069

Msys2 / Makefile.meson built win32 client can't find port for server

Abrir Fecha: 2022-03-11 05:39 Última actualización: 2022-06-23 04:48

Informador:
Propietario:
Tipo:
Estado:
Cerrado
Componente:
Hito:
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Fixed
Fichero:
2

Details

win32 version of the msys2 Makefile.meson built gtk3.22-client can't fork the server, but says that it does not find a free port for that. This is with the 220309 msys2 environment (currently in testing, not yet in use). Gtk3.22-client is the only installer that can currently be built by the Makefile.meson.

Ticket History (3/9 Histories)

2022-03-11 05:39 Updated by: cazfi
  • New Ticket "Msys2 / Makefile.meson built win32 client can't find port for server" created
2022-03-11 10:26 Updated by: cazfi
Comentario

This happens also with 211115 msys2 environment, so not a regression with the new environment.

2022-06-10 04:20 Updated by: cazfi
Comentario

There seems to be two parts to this:

1) Configure step does not find 'getaddrinfo()'
2) Currently our meson build has FREECIV_IPV6_SUPPORT hardcoded, even though it can't be built without getaddrinfo()

2022-06-11 15:15 Updated by: cazfi
  • Hito Update from (Ninguno) to 3.1.0
Comentario

Reply To cazfi

1) Configure step does not find 'getaddrinfo()'

-> #44794

2) Currently our meson build has FREECIV_IPV6_SUPPORT hardcoded, even though it can't be built without getaddrinfo()

Handling that part in this ticket. Should be quick way to enable win32 builds (albeit without IPv6 support)

2022-06-17 20:02 Updated by: cazfi
  • Propietario Update from (Ninguno) to cazfi
  • Resolución Update from Ninguno to Accepted
2022-06-18 21:40 Updated by: cazfi
Comentario

- Minor style improvement

2022-06-23 04:48 Updated by: cazfi
  • Estado Update from Open to Cerrado
  • Resolución Update from Accepted to Fixed

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar